chiark / gitweb /
Test suite: Add spelling test
authorIan Jackson <ijackson@chiark.greenend.org.uk>
Sun, 25 Sep 2016 18:39:48 +0000 (19:39 +0100)
committerIan Jackson <ijackson@chiark.greenend.org.uk>
Mon, 26 Sep 2016 00:16:58 +0000 (01:16 +0100)
Fail this test if the tree contains the misspelling of "pseudo".

Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
debian/tests/control
tests/tests/spelling [new file with mode: 0755]

index a312861726bb51ff6980b116dba883baa09d4f70..e227e2b9d735cdcb394fc29b4e13efca14b8cfaf 100644 (file)
@@ -16,6 +16,11 @@ Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts, sbuild
 Restrictions: x-dgit-schroot-build
 
 Depends: dgit, dgit-infrastructure, devscripts, sbuild
 Restrictions: x-dgit-schroot-build
 
+Tests: spelling
+Tests-Directory: tests/tests
+Depends: dgit, dgit-infrastructure, devscripts
+Restrictions: x-dgit-git-only
+
 Tests: build-modes build-modes-asplit build-modes-gbp-asplit clone-gitnosuite clone-nogit debpolicy-dbretry debpolicy-newreject debpolicy-quilt-gbp distropatches-reject drs-clone-nogit drs-push-masterupdate drs-push-rejects dsd-clone-nogit dsd-divert fetch-localgitonly fetch-somegit-notlast inarchivecopy newtag-clone-nogit oldtag-clone-nogit push-buildproductsdir push-newpackage push-nextdgit quilt quilt-gbp quilt-gbp-build-modes quilt-singlepatch rpush tag-updates test-list-uptodate trustingpolicy-replay
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts
 Tests: build-modes build-modes-asplit build-modes-gbp-asplit clone-gitnosuite clone-nogit debpolicy-dbretry debpolicy-newreject debpolicy-quilt-gbp distropatches-reject drs-clone-nogit drs-push-masterupdate drs-push-rejects dsd-clone-nogit dsd-divert fetch-localgitonly fetch-somegit-notlast inarchivecopy newtag-clone-nogit oldtag-clone-nogit push-buildproductsdir push-newpackage push-nextdgit quilt quilt-gbp quilt-gbp-build-modes quilt-singlepatch rpush tag-updates test-list-uptodate trustingpolicy-replay
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts
diff --git a/tests/tests/spelling b/tests/tests/spelling
new file mode 100755 (executable)
index 0000000..74541b7
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-restrict x-dgit-git-only
+
+cd $root
+
+set +e
+git grep -q -i 'ps[u]edo'
+rc=$?
+set -e
+
+test $rc = 1
+
+echo ok.